Public Attributes
tagXGSExtensionsGL Struct Reference

## Detailed Description

GraphicSequencer GL extensions structure.

This structure is used by the tagXSI_RTS_SystemParams structure to query whether a particular OpenGL extension is used. For example, if you want to test whether your hardware supports the `GL_ARB_multitexture` extension, check whether `m_pGLExt->_GL_ARB_multitexture` `==` `true`.

Deprecated:
  7.0. Not used for RTS API v3.0.

See also:
  tagXSI_RTS_SystemParams, cus_graphicsequencer GraphicSequencer

`#include <XSI_rtshaders.h>`

List of all members.

## Public Attributes
int | version
int | size
bool | _GL_ARB_multitexture
bool | _GL_ARB_transpose_matrix
bool | _GL_ARB_multisample
bool | _GL_ARB_texture_env_add
bool | _GL_ARB_texture_cube_map
bool | _GL_ARB_texture_compression
bool | _GL_ARB_texture_border_clamp
bool | _GL_ARB_point_parameters
bool | _GL_ARB_vertex_blend
bool | _GL_ARB_matrix_palette
bool | _GL_ARB_texture_env_combine
bool | _GL_ARB_texture_env_crossbar
bool | _GL_ARB_texture_env_dot3
bool | _GL_ARB_texture_mirrored_repeat
bool | _GL_ARB_depth_texture
bool | _GL_ARB_shadow
bool | _GL_ARB_shadow_ambient
bool | _GL_ARB_window_pos
bool | _GL_ARB_vertex_program
bool | _GL_ARB_fragment_program
bool | _GL_EXT_abgr
bool | _GL_EXT_blend_color
bool | _GL_EXT_polygon_offset
bool | _GL_EXT_texture
bool | _GL_EXT_texture3D
bool | _GL_SGIS_texture_filter4
bool | _GL_EXT_subtexture
bool | _GL_EXT_copy_texture
bool | _GL_EXT_histogram
bool | _GL_EXT_convolution
bool | _GL_SGI_color_matrix
bool | _GL_SGI_color_table
bool | _GL_SGIS_pixel_texture
bool | _GL_SGIX_pixel_texture
bool | _GL_SGIS_texture4D
bool | _GL_SGI_texture_color_table
bool | _GL_EXT_cmyka
bool | _GL_EXT_texture_object
bool | _GL_SGIS_detail_texture
bool | _GL_SGIS_sharpen_texture
bool | _GL_EXT_packed_pixels
bool | _GL_SGIS_texture_lod
bool | _GL_SGIS_multisample
bool | _GL_EXT_rescale_normal
bool | _GL_EXT_vertex_array
bool | _GL_EXT_misc_attribute
bool | _GL_SGIS_generate_mipmap
bool | _GL_SGIX_clipmap
bool | _GL_SGIX_shadow
bool | _GL_SGIS_texture_edge_clamp
bool | _GL_SGIS_texture_border_clamp
bool | _GL_EXT_blend_minmax
bool | _GL_EXT_blend_subtract
bool | _GL_EXT_blend_logic_op
bool | _GL_SGIX_interlace
bool | _GL_SGIS_texture_select
bool | _GL_SGIX_sprite
bool | _GL_SGIX_texture_multi_buffer
bool | _GL_EXT_point_parameters
bool | _GL_SGIX_instruments
bool | _GL_SGIX_texture_scale_bias
bool | _GL_SGIX_framezoom
bool | _GL_SGIX_tag_sample_buffer
bool | _GL_SGIX_reference_plane
bool | _GL_SGIX_flush_raster
bool | _GL_SGIX_depth_texture
bool | _GL_SGIS_fog_function
bool | _GL_SGIX_fog_offset
bool | _GL_HP_image_transform
bool | _GL_HP_convolution_border_modes
bool | _GL_SGIX_texture_add_env
bool | _GL_EXT_color_subtable
bool | _GL_PGI_vertex_hints
bool | _GL_PGI_misc_hints
bool | _GL_EXT_paletted_texture
bool | _GL_EXT_clip_volume_hint
bool | _GL_SGIX_list_priority
bool | _GL_SGIX_ir_instrument1
bool | _GL_SGIX_texture_lod_bias
bool | _GL_SGIX_shadow_ambient
bool | _GL_EXT_index_texture
bool | _GL_EXT_index_material
bool | _GL_EXT_index_func
bool | _GL_EXT_index_array_formats
bool | _GL_EXT_compiled_vertex_array
bool | _GL_EXT_cull_vertex
bool | _GL_SGIX_ycrcb
bool | _GL_EXT_fragment_lighting
bool | _GL_IBM_rasterpos_clip
bool | _GL_HP_texture_lighting
bool | _GL_EXT_draw_range_elements
bool | _GL_WIN_phong_shading
bool | _GL_WIN_specular_fog
bool | _GL_EXT_light_texture
bool | _GL_SGIX_blend_alpha_minmax
bool | _GL_EXT_scene_marker
bool | _GL_SGIX_pixel_texture_bits
bool | _GL_EXT_bgra
bool | _GL_SGIX_async
bool | _GL_SGIX_async_pixel
bool | _GL_SGIX_async_histogram
bool | _GL_INTEL_texture_scissor
bool | _GL_INTEL_parallel_arrays
bool | _GL_HP_occlusion_test
bool | _GL_EXT_pixel_transform
bool | _GL_EXT_pixel_transform_color_table
bool | _GL_EXT_shared_texture_palette
bool | _GL_EXT_separate_specular_color
bool | _GL_EXT_secondary_color
bool | _GL_EXT_texture_env
bool | _GL_EXT_texture_perturb_normal
bool | _GL_EXT_multi_draw_arrays
bool | _GL_EXT_fog_coord
bool | _GL_REND_screen_coordinates
bool | _GL_EXT_coordinate_frame
bool | _GL_EXT_texture_env_combine
bool | _GL_APPLE_specular_vector
bool | _GL_APPLE_transform_hint
bool | _GL_SUNX_constant_data
bool | _GL_SUN_global_alpha
bool | _GL_SUN_triangle_list
bool | _GL_SUN_vertex
bool | _GL_EXT_blend_func_separate
bool | _GL_INGR_color_clamp
bool | _GL_INGR_interlace_read
bool | _GL_EXT_stencil_wrap
bool | _GL_EXT_422_pixels
bool | _GL_NV_texgen_reflection
bool | _GL_SGIX_texture_range
bool | _GL_SUN_convolution_border_modes
bool | _GL_EXT_texture_env_add
bool | _GL_EXT_texture_lod_bias
bool | _GL_EXT_texture_filter_anisotropic
bool | _GL_EXT_vertex_weighting
bool | _GL_NV_light_max_exponent
bool | _GL_NV_vertex_array_range
bool | _GL_NV_register_combiners
bool | _GL_NV_fog_distance
bool | _GL_NV_texgen_emboss
bool | _GL_NV_blend_square
bool | _GL_NV_texture_env_combine4
bool | _GL_MESA_resize_buffers
bool | _GL_MESA_window_pos
bool | _GL_EXT_texture_compression_s3tc
bool | _GL_IBM_cull_vertex
bool | _GL_IBM_multimode_draw_arrays
bool | _GL_IBM_vertex_array_lists
bool | _GL_3DFX_texture_compression_FXT1
bool | _GL_3DFX_multisample
bool | _GL_3DFX_tbuffer
bool | _GL_SGIX_vertex_preclip
bool | _GL_SGIX_resample
bool | _GL_SGIS_texture_color_mask
bool | _GL_EXT_texture_env_dot3
bool | _GL_ATI_texture_mirror_once
bool | _GL_NV_fence
bool | _GL_IBM_static_data
bool | _GL_IBM_texture_mirrored_repeat
bool | _GL_NV_evaluators
bool | _GL_NV_packed_depth_stencil
bool | _GL_NV_register_combiners2
bool | _GL_NV_texture_compression_vtc
bool | _GL_NV_texture_rectangle
bool | _GL_NV_texture_shader
bool | _GL_NV_texture_shader2
bool | _GL_NV_vertex_array_range2
bool | _GL_NV_vertex_program
bool | _GL_SGIX_texture_coordinate_clamp
bool | _GL_OML_interlace
bool | _GL_OML_subsample
bool | _GL_OML_resample
bool | _GL_NV_copy_depth_to_color
bool | _GL_ATI_envmap_bumpmap
bool | _GL_ATI_fragment_shader
bool | _GL_ATI_pn_triangles
bool | _GL_ATI_vertex_array_object
bool | _GL_EXT_vertex_shader
bool | _GL_ATI_vertex_streams
bool | _GL_ATI_element_array
bool | _GL_SUN_mesh_array
bool | _GL_SUN_slice_accum
bool | _GL_NV_multisample_filter_hint
bool | _GL_NV_depth_clamp
bool | _GL_NV_occlusion_query
bool | _GL_NV_point_sprite
bool | _GL_NV_texture_shader3
bool | _GL_NV_vertex_program1_1
bool | _GL_EXT_shadow_funcs
bool | _GL_EXT_stencil_two_side
bool | _GL_ATI_text_fragment_shader
bool | _GL_APPLE_client_storage
bool | _GL_APPLE_element_array
bool | _GL_APPLE_fence
bool | _GL_APPLE_vertex_array_object
bool | _GL_APPLE_vertex_array_range
bool | _GL_APPLE_ycbcr_422
bool | _GL_ARB_vertex_buffer_object
bool | _GL_S3_s3tc
bool | _GL_ATI_draw_buffers
bool | _GL_ATI_texture_env_combine3
bool | _GL_ATI_texture_float
bool | _GL_NV_float_buffer
bool | _GL_NV_fragment_program
bool | _GL_NV_half_float
bool | _GL_NV_pixel_data_range
bool | _GL_NV_primitive_restart
bool | _GL_NV_texture_expand_normal
bool | _GL_NV_vertex_program2
bool | _GL_ATI_map_object_buffer
bool | _GL_ATI_separate_stencil
bool | _GL_ATI_vertex_attrib_array_object
bool | _GL_framebuffer_object
bool | _GL_ARB_pixel_buffer_object

## Member Data Documentation

int version

Version

int size

Size

bool _GL_ARB_multitexture

ARB multitexture

bool _GL_ARB_transpose_matrix

ARB transpose matrix

bool _GL_ARB_multisample

ARB multisample

bool _GL_ARB_texture_env_add

ARB texture env add

bool _GL_ARB_texture_cube_map

ARB texture cube map

bool _GL_ARB_texture_compression

ARB texture compression

bool _GL_ARB_texture_border_clamp

ARB texture border clamp

bool _GL_ARB_point_parameters

ARB point parameters

bool _GL_ARB_vertex_blend

ARB vertex blend

bool _GL_ARB_matrix_palette

ARB matrix palette

bool _GL_ARB_texture_env_combine

ARB texture env combine

bool _GL_ARB_texture_env_crossbar

ARB texture env crossbar

bool _GL_ARB_texture_env_dot3

ARB texture env dot3

bool _GL_ARB_texture_mirrored_repeat

ARB texture mirrored repeat

bool _GL_ARB_depth_texture

ARB depth texture

bool _GL_ARB_shadow

ARB shadow

bool _GL_ARB_shadow_ambient

ARB shadow ambient

bool _GL_ARB_window_pos

ARB window pos

bool _GL_ARB_vertex_program

ARB vertex program

bool _GL_ARB_fragment_program

ARB fragment program

bool _GL_EXT_abgr

EXT abgr

bool _GL_EXT_blend_color

EXT blend color

bool _GL_EXT_polygon_offset

EXT polygon offset

bool _GL_EXT_texture

EXT texture

bool _GL_EXT_texture3D

EXT texture3D

bool _GL_SGIS_texture_filter4

SGIS texture filter4

bool _GL_EXT_subtexture

EXT subtexture

bool _GL_EXT_copy_texture

EXT copy texture

bool _GL_EXT_histogram

EXT histogram

bool _GL_EXT_convolution

EXT convolution

bool _GL_SGI_color_matrix

SGI color matrix

bool _GL_SGI_color_table

SGI color table

bool _GL_SGIS_pixel_texture

SGIS pixel texture

bool _GL_SGIX_pixel_texture

SGIX pixel texture

bool _GL_SGIS_texture4D

SGIS texture4D

bool _GL_SGI_texture_color_table

SGI texture color table

bool _GL_EXT_cmyka

EXT cmyka

bool _GL_EXT_texture_object

EXT texture object

bool _GL_SGIS_detail_texture

SGIS detail texture

bool _GL_SGIS_sharpen_texture

SGIS sharpen texture

bool _GL_EXT_packed_pixels

EXT packed pixels

bool _GL_SGIS_texture_lod

SGIS texture lod

bool _GL_SGIS_multisample

SGIS multisample

bool _GL_EXT_rescale_normal

EXT rescale normal

bool _GL_EXT_vertex_array

EXT vertex array

bool _GL_EXT_misc_attribute

EXT misc attribute

bool _GL_SGIS_generate_mipmap

SGIS generate mipmap

bool _GL_SGIX_clipmap

SGIX clipmap

bool _GL_SGIX_shadow

SGIX shadow

bool _GL_SGIS_texture_edge_clamp

SGIS texture edge clamp

bool _GL_SGIS_texture_border_clamp

SGIS texture border clamp

bool _GL_EXT_blend_minmax

EXT blend minmax

bool _GL_EXT_blend_subtract

EXT blend subtract

bool _GL_EXT_blend_logic_op

EXT blend logic op

bool _GL_SGIX_interlace

SGIX interlace

bool _GL_SGIS_texture_select

SGIS texture select

bool _GL_SGIX_sprite

SGIX sprite

bool _GL_SGIX_texture_multi_buffer

SGIX texture multi buffer

bool _GL_EXT_point_parameters

EXT point parameters

bool _GL_SGIX_instruments

SGIX instruments

bool _GL_SGIX_texture_scale_bias

SGIX texture scale bias

bool _GL_SGIX_framezoom

SGIX framezoom

bool _GL_SGIX_tag_sample_buffer

SGIX tag sample buffer

bool _GL_SGIX_reference_plane

SGIX reference plane

bool _GL_SGIX_flush_raster

SGIX flush raster

bool _GL_SGIX_depth_texture

SGIX depth texture

bool _GL_SGIS_fog_function

SGIS fog function

bool _GL_SGIX_fog_offset

SGIX fog offset

bool _GL_HP_image_transform

HP image transform

bool _GL_HP_convolution_border_modes

HP convolution border modes

bool _GL_SGIX_texture_add_env

SGIX texture add env

bool _GL_EXT_color_subtable

EXT color subtable

bool _GL_PGI_vertex_hints

PGI vertex hints

bool _GL_PGI_misc_hints

PGI misc hints

bool _GL_EXT_paletted_texture

EXT paletted texture

bool _GL_EXT_clip_volume_hint

EXT clip volume hint

bool _GL_SGIX_list_priority

SGIX list priority

bool _GL_SGIX_ir_instrument1

SGIX ir instrument1

bool _GL_SGIX_texture_lod_bias

SGIX texture lod bias

bool _GL_SGIX_shadow_ambient

SGIX shadow ambient

bool _GL_EXT_index_texture

EXT index texture

bool _GL_EXT_index_material

EXT index material

bool _GL_EXT_index_func

EXT index func

bool _GL_EXT_index_array_formats

EXT index array formats

bool _GL_EXT_compiled_vertex_array

EXT compiled vertex array

bool _GL_EXT_cull_vertex

EXT cull vertex

bool _GL_SGIX_ycrcb

SGIX ycrcb

bool _GL_EXT_fragment_lighting

EXT fragment lighting

bool _GL_IBM_rasterpos_clip

IBM rasterpos clip

bool _GL_HP_texture_lighting

HP texture lighting

bool _GL_EXT_draw_range_elements

EXT draw range elements

bool _GL_WIN_phong_shading

WIN phong shading

bool _GL_WIN_specular_fog

WIN specular fog

bool _GL_EXT_light_texture

EXT light texture

bool _GL_SGIX_blend_alpha_minmax

SGIX blend alpha minmax

bool _GL_EXT_scene_marker

EXT scene marker

bool _GL_SGIX_pixel_texture_bits

SGIX pixel texture bits

bool _GL_EXT_bgra

EXT bgra

bool _GL_SGIX_async

SGIX async

bool _GL_SGIX_async_pixel

SGIX async pixel

bool _GL_SGIX_async_histogram

SGIX async histogram

bool _GL_INTEL_texture_scissor

INTEL texture scissor

bool _GL_INTEL_parallel_arrays

INTEL parallel arrays

bool _GL_HP_occlusion_test

HP occlusion test

bool _GL_EXT_pixel_transform

EXT pixel transform

bool _GL_EXT_pixel_transform_color_table

EXT pixel transform color table

bool _GL_EXT_shared_texture_palette

EXT shared texture palette

bool _GL_EXT_separate_specular_color

EXT separate specular color

bool _GL_EXT_secondary_color

EXT secondary color

bool _GL_EXT_texture_env

EXT texture env

bool _GL_EXT_texture_perturb_normal

EXT texture perturb normal

bool _GL_EXT_multi_draw_arrays

EXT multi draw arrays

bool _GL_EXT_fog_coord

EXT fog coord

bool _GL_REND_screen_coordinates

REND screen coordinates

bool _GL_EXT_coordinate_frame

EXT coordinate frame

bool _GL_EXT_texture_env_combine

EXT texture env combine

bool _GL_APPLE_specular_vector

APPLE specular vector

bool _GL_APPLE_transform_hint

APPLE transform hint

bool _GL_SUNX_constant_data

SUNX constant data

bool _GL_SUN_global_alpha

SUN global alpha

bool _GL_SUN_triangle_list

SUN triangle list

bool _GL_SUN_vertex

SUN vertex

bool _GL_EXT_blend_func_separate

EXT blend func separate

bool _GL_INGR_color_clamp

INGR color clamp

bool _GL_INGR_interlace_read

INGR interlace read

bool _GL_EXT_stencil_wrap

EXT stencil wrap

bool _GL_EXT_422_pixels

EXT 422 pixels

bool _GL_NV_texgen_reflection

NV texgen reflection

bool _GL_SGIX_texture_range

SGIX texture range

bool _GL_SUN_convolution_border_modes

SUN convolution border modes

bool _GL_EXT_texture_env_add

EXT texture env add

bool _GL_EXT_texture_lod_bias

EXT texture lod bias

bool _GL_EXT_texture_filter_anisotropic

EXT texture filter anisotropic

bool _GL_EXT_vertex_weighting

EXT vertex weighting

bool _GL_NV_light_max_exponent

NV light max exponent

bool _GL_NV_vertex_array_range

NV vertex array range

bool _GL_NV_register_combiners

NV register combiners

bool _GL_NV_fog_distance

NV fog distance

bool _GL_NV_texgen_emboss

NV texgen emboss

bool _GL_NV_blend_square

NV blend square

bool _GL_NV_texture_env_combine4

NV texture env combine4

bool _GL_MESA_resize_buffers

MESA resize buffers

bool _GL_MESA_window_pos

MESA window pos

bool _GL_EXT_texture_compression_s3tc

EXT texture compression s3tc

bool _GL_IBM_cull_vertex

IBM cull vertex

bool _GL_IBM_multimode_draw_arrays

IBM multimode draw arrays

bool _GL_IBM_vertex_array_lists

IBM vertex array lists

bool _GL_3DFX_texture_compression_FXT1

3DFX texture compression FXT1

bool _GL_3DFX_multisample

3DFX multisample

bool _GL_3DFX_tbuffer

3DFX tbuffer

bool _GL_SGIX_vertex_preclip

SGIX vertex preclip

bool _GL_SGIX_resample

SGIX resample

bool _GL_SGIS_texture_color_mask

SGIS texture color mask

bool _GL_EXT_texture_env_dot3

EXT texture env dot3

bool _GL_ATI_texture_mirror_once

ATI texture mirror once

bool _GL_NV_fence

NV fence

bool _GL_IBM_static_data

IBM static data

bool _GL_IBM_texture_mirrored_repeat

IBM texture mirrored repeat

bool _GL_NV_evaluators

NV evaluators

bool _GL_NV_packed_depth_stencil

NV packed depth stencil

bool _GL_NV_register_combiners2

NV register combiners2

bool _GL_NV_texture_compression_vtc

NV texture compression vtc

bool _GL_NV_texture_rectangle

NV texture rectangle

bool _GL_NV_texture_shader

NV texture shader

bool _GL_NV_texture_shader2

NV texture shader2

bool _GL_NV_vertex_array_range2

NV vertex array range2

bool _GL_NV_vertex_program

NV vertex program

bool _GL_SGIX_texture_coordinate_clamp

SGIX texture coordinate clamp

bool _GL_OML_interlace

OML interlace

bool _GL_OML_subsample

OML subsample

bool _GL_OML_resample

OML resample

bool _GL_NV_copy_depth_to_color

NV copy depth to color

bool _GL_ATI_envmap_bumpmap

ATI envmap bumpmap

bool _GL_ATI_fragment_shader

ATI fragment shader

bool _GL_ATI_pn_triangles

ATI pn triangles

bool _GL_ATI_vertex_array_object

ATI vertex array object

bool _GL_EXT_vertex_shader

EXT vertex shader

bool _GL_ATI_vertex_streams

ATI vertex streams

bool _GL_ATI_element_array

ATI element array

bool _GL_SUN_mesh_array

SUN mesh array

bool _GL_SUN_slice_accum

SUN slice accum

bool _GL_NV_multisample_filter_hint

NV multisample filter hint

bool _GL_NV_depth_clamp

NV depth clamp

bool _GL_NV_occlusion_query

NV occlusion query

bool _GL_NV_point_sprite

NV point sprite

bool _GL_NV_texture_shader3

NV texture shader3

bool _GL_NV_vertex_program1_1

NV vertex program1 1

bool _GL_EXT_shadow_funcs

EXT shadow funcs

bool _GL_EXT_stencil_two_side

EXT stencil two side

bool _GL_ATI_text_fragment_shader

ATI text fragment shader

bool _GL_APPLE_client_storage

APPLE client storage

bool _GL_APPLE_element_array

APPLE element array

bool _GL_APPLE_fence

APPLE fence

bool _GL_APPLE_vertex_array_object

APPLE vertex array object

bool _GL_APPLE_vertex_array_range

APPLE vertex array range

bool _GL_APPLE_ycbcr_422

APPLE ycbcr 422

bool _GL_ARB_vertex_buffer_object

ARB vertex buffer object

bool _GL_S3_s3tc

S3 s3tc

bool _GL_ATI_draw_buffers

ATI draw buffers

bool _GL_ATI_texture_env_combine3

ATI texture env combine3

bool _GL_ATI_texture_float

ATI texture float

bool _GL_NV_float_buffer

NV float buffer

bool _GL_NV_fragment_program

NV fragment program

bool _GL_NV_half_float

NV half float

bool _GL_NV_pixel_data_range

NV pixel data range

bool _GL_NV_primitive_restart

NV primitive restart

bool _GL_NV_texture_expand_normal

NV texture expand normal

bool _GL_NV_vertex_program2

NV vertex program2

bool _GL_ATI_map_object_buffer

ATI map object buffer

bool _GL_ATI_separate_stencil

ATI separate stencil

bool _GL_ATI_vertex_attrib_array_object

ATI vertex attrib array object

bool _GL_framebuffer_object

Framebuffer object

bool _GL_ARB_pixel_buffer_object

ARB pixel buffer object

The documentation for this struct was generated from the following file:

- XSI_rtshaders.h